import request from '@/utils/request'

// 查询企业信息管理财务数据列表
export function listCompanydata(query) {
  return request({
    url: '/buyer/companydata/list',
    method: 'get',
    params: query
  })
}

// 查询企业信息管理财务数据详细
export function getCompanydata(id) {
  return request({
    url: '/buyer/companydata/' + id,
    method: 'get'
  })
}

// 新增企业信息管理财务数据
export function addCompanydata(data) {
  return request({
    url: '/buyer/companydata',
    method: 'post',
    data: data
  })
}

// 修改企业信息管理财务数据
export function updateCompanydata(data) {
  return request({
    url: '/buyer/companydata',
    method: 'put',
    data: data
  })
}

// 删除企业信息管理财务数据
export function delCompanydata(id) {
  return request({
    url: '/buyer/companydata/' + id,
    method: 'delete'
  })
}
